Agent Message Part

The agent message part resource.

Basehttps://rest.carbon.ms/agentMessagePart
GET/agentMessagePart

List agent message parts

Retrieve a paginated list of agent message parts. Filter, order, and select columns with PostgREST query parameters.

Query parameters

selectstring

Comma-separated columns to return. Defaults to all.

orderstring

Column to sort by, e.g. `createdAt.desc`.

limitinteger

Maximum rows to return.

offsetinteger

Rows to skip, for pagination.

GEThttps://rest.carbon.ms/agentMessagePart
curl --request GET \
  --url 'https://rest.carbon.ms/agentMessagePart?select=*&limit=10' \
  --header 'Authorization: Bearer <api-key>'
Response
[
  {
    "id": "abc123def456",
    "companyId": "xyz789",
    "messageId": "xyz789",
    "orderIndex": 0,
    "type": "string",
    "createdBy": "string",
    "createdAt": "2026-01-01T00:00:00Z",
    "textContent": "string"
  }
]
GET/agentMessagePart

Retrieve a agent message part

Fetch a single agent message part by filtering on `id`.

Query parameters

idstring

Match on the agent message part's `id`, e.g. `eq.{id}`.

GEThttps://rest.carbon.ms/agentMessagePart
curl --request GET \
  --url 'https://rest.carbon.ms/agentMessagePart?id=eq.%7Bid%7D' \
  --header 'Authorization: Bearer <api-key>'
Response
{
  "id": "abc123def456",
  "companyId": "xyz789",
  "messageId": "xyz789",
  "orderIndex": 0,
  "type": "string",
  "createdBy": "string",
  "createdAt": "2026-01-01T00:00:00Z",
  "textContent": "string"
}
POST/agentMessagePart

Create a agent message part

Create a new agent message part.

Body parameters

messageIdstringrequired
orderIndexnumberrequired
typestringrequired
textContentstring
toolNamestring
toolClassificationstring
toolCallIdstring
toolInputobject
toolOutputobject
toolStatestring
toolDurationMsnumber
errorMessagestring
POSThttps://rest.carbon.ms/agentMessagePart
curl --request POST \
  --url https://rest.carbon.ms/agentMessagePart \
  --header 'Authorization: Bearer <api-key>' \
  --header 'Content-Type: application/json' \
  --header 'Prefer: return=representation' \
  --data '{"messageId":"xyz789","orderIndex":0,"type":"string"}'
Response
{
  "id": "abc123def456",
  "companyId": "xyz789",
  "messageId": "xyz789",
  "orderIndex": 0,
  "type": "string",
  "createdBy": "string",
  "createdAt": "2026-01-01T00:00:00Z",
  "textContent": "string"
}
PATCH/agentMessagePart

Update a agent message part

Update an existing agent message part, matched on `id`.

Body parameters

messageIdstringrequired
orderIndexnumberrequired
typestringrequired
textContentstring
toolNamestring
toolClassificationstring
toolCallIdstring
toolInputobject
toolOutputobject
toolStatestring
toolDurationMsnumber
errorMessagestring
PATCHhttps://rest.carbon.ms/agentMessagePart
curl --request PATCH \
  --url 'https://rest.carbon.ms/agentMessagePart?id=eq.%7Bid%7D' \
  --header 'Authorization: Bearer <api-key>' \
  --header 'Content-Type: application/json' \
  --header 'Prefer: return=representation' \
  --data '{"messageId":"xyz789"}'
Response
{
  "id": "abc123def456",
  "companyId": "xyz789",
  "messageId": "xyz789",
  "orderIndex": 0,
  "type": "string",
  "createdBy": "string",
  "createdAt": "2026-01-01T00:00:00Z",
  "textContent": "string"
}
DELETE/agentMessagePart

Delete a agent message part

Delete a agent message part, matched on `id`. Returns 204 No Content.

Query parameters

idstring

The `id` of the agent message part to delete, e.g. `eq.{id}`.

DELETEhttps://rest.carbon.ms/agentMessagePart
curl --request DELETE \
  --url 'https://rest.carbon.ms/agentMessagePart?id=eq.%7Bid%7D' \
  --header 'Authorization: Bearer <api-key>'
204 No Content